1.0
1.0
post /v1/vpn-gateways
Description
Create VPN gateway.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VpnGatewayCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpnGatewayShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpn-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpn 1.0"
Request body
{
"description": "Example Description for VPN Gateway",
"ip_address": "123.0.0.1",
"ip_id": "fcde872f75c145a0893d656cc698f13e",
"ip_type": "PUBLIC",
"name": "ExampleVpnGW1",
"tags": [],
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718"
}
Example HTTP response
Response 202
{
"vpn_gateway": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Gateway",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"ip_address": "123.0.0.1",
"ip_id": "fcde872f75c145a0893d656cc698f13e",
"ip_type": "PUBLIC",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnGW1",
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1"
}
}